CachedSAMClass (Groovy 4.0.15)

Package: org.codehaus.groovy.reflection.stdclasses

## [Java] Class CachedSAMClass

- org.codehaus.groovy.reflection.stdclasses.CachedSAMClass

-     public class CachedSAMClass
      extends CachedClass

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class CachedClass` | `EMPTY_ARRAY, classInfo, isArray, isInterface, isNumber, isPrimitive, modifiers, mopMethods`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `CachedSAMClass(Class clazz, ClassInfo classInfo)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public Object` | `coerceArgument(Object argument)`
    `` | `public static Object` | `coerceToSAM(Closure argument, Method method, Class clazz)`
    `` | `public static Object` | `coerceToSAM(Closure argument, Method method, Class clazz, boolean isInterface)`
    `` | `public static Method` | `getSAMMethod(Class<?> c)` Finds the abstract method of given class, if it is a SAM type.
    `` | `public boolean` | `isAssignableFrom(Class argument)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class CachedClass` | `addNewMopMethods, coerceArgument, getCachedClass, getCachedSuperClass, getCallSiteLoader, getConstructors, getDeclaredInterfaces, getFields, getHierarchy, getInterfaces, getMethods, getModifiers, getName, getNewMetaMethods, getSuperClassDistance, getTheClass, getTypeDescription, hashCode, initValue, initValue, initValue, initValue, initValue, initValue, initValue, initValue, isAssignableFrom, isDirectlyAssignable, isInterface, isPrimitive, isVoid, searchMethods, setNewMopMethods, toString`

- - ### Constructor Detail

    - #### public CachedSAMClass(Class clazz, ClassInfo classInfo)

  - ### Method Detail

    - #### @Override
      public Object coerceArgument(Object argument)

    - #### public static Object coerceToSAM(Closure argument, Method method, Class clazz)

    - #### public static Object coerceToSAM(Closure argument, Method method, Class clazz, boolean isInterface)

    - #### public static Method getSAMMethod(Class<?> c)

      Finds the abstract method of given class, if it is a SAM type.

    - #### @Override
      public boolean isAssignableFrom(Class argument)